/campaigns/{campaign_id}/actions/test
Send a test email.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| campaign_id | path | required | string | The unique id for the campaign. |
application/json
CampaignsSendTestEmailRequest
| Property | Type | Required |
|---|---|---|
| send_type | string | required |
| test_emails | array | required |
An error generated by the Mailchimp API.
Empty Response
POST /campaigns/{campaign_id}/actions/test
/campaigns/{campaign_id}/actions/unschedule
Unschedule a scheduled campaign that hasn’t started sending.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| campaign_id | path | required | string | The unique id for the campaign. |
An error generated by the Mailchimp API.
Empty Response
POST /campaigns/{campaign_id}/actions/unschedule
/campaigns/{campaign_id}/content
Get the the HTML and plain-text content for a campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| campaign_id | path | required | string | The unique id for the campaign. |
An error generated by the Mailchimp API.
GET /campaigns/{campaign_id}/content
/campaigns/{campaign_id}/content
Set the content for a campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| campaign_id | path | required | string | The unique id for the campaign. |
application/json
CampaignsSetContentRequest
| Property | Type | Required |
|---|---|---|
| url | string | optional |
| html | string | optional |
| archive | object | optional |
| └ archive_type | string | optional |
| └ archive_content | string | required |
| template | object | optional |
| └ id | integer | required |
| └ sections | object | optional |
| plain_text | string | optional |
| variate_contents | array | optional |
| └ url | string | optional |
| └ html | string | optional |
| └ archive | object | optional |
| └ archive_type | string | optional |
| └ archive_content | string | required |
| └ template | object | optional |
| └ id | integer | required |
| └ sections | object | optional |
| └ plain_text | string | optional |
| └ content_label | string | required |
An error generated by the Mailchimp API.
PUT /campaigns/{campaign_id}/content
/campaigns/{campaign_id}/feedback
Get team feedback while you’re working together on a Mailchimp campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| campaign_id | path | required | string | The unique id for the campaign. |
An error generated by the Mailchimp API.
GET /campaigns/{campaign_id}/feedback
/campaigns/{campaign_id}/feedback
Add feedback on a specific campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| campaign_id | path | required | string | The unique id for the campaign. |
application/json
CampaignsAddFeedbackRequest
| Property | Type | Required |
|---|---|---|
| message | string | required |
| block_id | integer | optional |
| is_complete | boolean | optional |
An error generated by the Mailchimp API.
POST /campaigns/{campaign_id}/feedback
/campaigns/{campaign_id}/feedback/{feedback_id}
Remove a specific feedback message for a campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| campaign_id | path | required | string | The unique id for the campaign. |
| feedback_id | path | required | string | The unique id for the feedback message. |
An error generated by the Mailchimp API.
Empty Response
DELETE /campaigns/{campaign_id}/feedback/{feedback_id}
/campaigns/{campaign_id}/feedback/{feedback_id}
Get a specific feedback message from a campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| campaign_id | path | required | string | The unique id for the campaign. |
| feedback_id | path | required | string | The unique id for the feedback message. |
An error generated by the Mailchimp API.
GET /campaigns/{campaign_id}/feedback/{feedback_id}
/campaigns/{campaign_id}/feedback/{feedback_id}
Update a specific feedback message for a campaign.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| campaign_id | path | required | string | The unique id for the campaign. |
| feedback_id | path | required | string | The unique id for the feedback message. |
application/json
CampaignsUpdateFeedbackMessageRequest
| Property | Type | Required |
|---|---|---|
| message | string | optional |
| block_id | integer | optional |
| is_complete | boolean | optional |
An error generated by the Mailchimp API.
PATCH /campaigns/{campaign_id}/feedback/{feedback_id}
/campaigns/{campaign_id}/send-checklist
Review the send checklist for a campaign, and resolve any issues before sending.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| campaign_id | path | required | string | The unique id for the campaign. |
An error generated by the Mailchimp API.
GET /campaigns/{campaign_id}/send-checklist
/connected-sites
Get all connected sites in an account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
An error generated by the Mailchimp API.
GET /connected-sites
/connected-sites
Create a new Mailchimp connected site.
application/json
ConnectedSitesCreateNewMailchimpSiteRequest
| Property | Type | Required |
|---|---|---|
| domain | string | required |
| foreign_id | string | required |
An error generated by the Mailchimp API.
POST /connected-sites
/connected-sites/{connected_site_id}
Remove a connected site from your Mailchimp account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| connected_site_id | path | required | string | The unique identifier for the site. |
An error generated by the Mailchimp API.
Empty Response
DELETE /connected-sites/{connected_site_id}
/connected-sites/{connected_site_id}
Get information about a specific connected site.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| connected_site_id | path | required | string | The unique identifier for the site. |
An error generated by the Mailchimp API.
GET /connected-sites/{connected_site_id}
/connected-sites/{connected_site_id}/actions/verify-script-installation
Verify that the connected sites script has been installed, either via the script URL or fragment.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| connected_site_id | path | required | string | The unique identifier for the site. |
An error generated by the Mailchimp API.
Empty Response
POST /connected-sites/{connected_site_id}/actions/verify-script-installation
/customer-journeys/journeys/{journey_id}/steps/{step_id}/actions/trigger
A step trigger in a Customer Journey. To use it, create a starting point or step from the Customer Journey builder in the app using the Customer Journeys API condition. We’ll provide a url during the process that includes the {journey_id} and {step_id}. You’ll then be able to use this endpoint to trigger the condition for the posted contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| journey_id | path | required | integer | The id for the Journey. |
| step_id | path | required | integer | The id for the Step. |
application/json
CustomerJourneysTriggerStepActionRequest
| Property | Type | Required |
|---|---|---|
| email_address | string | required |
An error generated by the Mailchimp API.
An empty response
POST /customer-journeys/journeys/{journey_id}/steps/{step_id}/actions/trigger
/ecommerce/orders
Get information about an account’s orders.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| campaign_id | query | optional | string | Restrict results to orders with a specific |
| outreach_id | query | optional | string | Restrict results to orders with a specific |
| customer_id | query | optional | string | Restrict results to orders made by a specific customer. |
| has_outreach | query | optional | boolean | Restrict results to orders that have an outreach attached. For example, an email campaign or Facebook ad. |
An error generated by the Mailchimp API.
GET /ecommerce/orders
/ecommerce/stores
Get information about all stores in the account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
An error generated by the Mailchimp API.
GET /ecommerce/stores
/ecommerce/stores
Add a new store to your Mailchimp account.
application/json
EcommerceAddStoreToMailchimpAccountRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| name | string | required |
| phone | string | optional |
| domain | string | optional |
| address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ latitude | number | optional |
| └ province | string | optional |
| └ longitude | number | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| list_id | string | required |
| platform | string | optional |
| timezone | string | optional |
| is_syncing | boolean | optional |
| money_format | string | optional |
| currency_code | string | required |
| email_address | string | optional |
| primary_locale | string | optional |
An error generated by the Mailchimp API.
POST /ecommerce/stores
/ecommerce/stores/{store_id}
Delete a store. Deleting a store will also delete any associated subresources, including Customers, Orders, Products, and Carts.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
An error generated by the Mailchimp API.
Empty Response
DELETE /ecommerce/stores/{store_id}
/ecommerce/stores/{store_id}
Get information about a specific store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| store_id | path | required | string | The store id. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}
/ecommerce/stores/{store_id}
Update a store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
application/json
EcommerceUpdateStoreRequest
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| phone | string | optional |
| domain | string | optional |
| address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ latitude | number | optional |
| └ province | string | optional |
| └ longitude | number | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| platform | string | optional |
| timezone | string | optional |
| is_syncing | boolean | optional |
| money_format | string | optional |
| currency_code | string | optional |
| email_address | string | optional |
| primary_locale | string | optional |
An error generated by the Mailchimp API.
PATCH /ecommerce/stores/{store_id}
/ecommerce/stores/{store_id}/carts
Get information about a store’s carts.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| store_id | path | required | string | The store id. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/carts
/ecommerce/stores/{store_id}/carts
Add a new cart to a store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
application/json
EcommerceAddCartToStoreRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| lines | array | required |
| └ id | string | required |
| └ price | number | required |
| └ quantity | integer | required |
| └ product_id | string | required |
| └ product_variant_id | string | required |
| customer | object | required |
| └ id | string | required |
| └ address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| └ company | string | optional |
| └ last_name | string | optional |
| └ first_name | string | optional |
| └ email_address | string | optional |
| └ opt_in_status | boolean | optional |
| tax_total | number | optional |
| campaign_id | string | optional |
| order_total | number | required |
| checkout_url | string | optional |
| currency_code | string | required |
An error generated by the Mailchimp API.
POST /ecommerce/stores/{store_id}/carts
/ecommerce/stores/{store_id}/carts/{cart_id}
Delete a cart.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
An error generated by the Mailchimp API.
Empty Response
DELETE /ecommerce/stores/{store_id}/carts/{cart_id}
/ecommerce/stores/{store_id}/carts/{cart_id}
Get information about a specific cart.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/carts/{cart_id}
/ecommerce/stores/{store_id}/carts/{cart_id}
Update a specific cart.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
application/json
EcommerceUpdateCartByIdRequest
| Property | Type | Required |
|---|---|---|
| lines | array | optional |
| └ price | number | optional |
| └ quantity | integer | optional |
| └ product_id | string | optional |
| └ product_variant_id | string | optional |
| customer | object | optional |
| └ address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| └ company | string | optional |
| └ last_name | string | optional |
| └ first_name | string | optional |
| └ opt_in_status | boolean | optional |
| tax_total | number | optional |
| campaign_id | string | optional |
| order_total | number | optional |
| checkout_url | string | optional |
| currency_code | string | optional |
An error generated by the Mailchimp API.
PATCH /ecommerce/stores/{store_id}/carts/{cart_id}
/ecommerce/stores/{store_id}/carts/{cart_id}/lines
Get information about a cart’s line items.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/carts/{cart_id}/lines
/ecommerce/stores/{store_id}/carts/{cart_id}/lines
Add a new line item to an existing cart.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
application/json
EcommerceAddCartLineItemRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| price | number | required |
| quantity | integer | required |
| product_id | string | required |
| product_variant_id | string | required |
An error generated by the Mailchimp API.
POST /ecommerce/stores/{store_id}/carts/{cart_id}/lines
/ecommerce/stores/{store_id}/carts/{cart_id}/lines/{line_id}
Delete a specific cart line item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
| line_id | path | required | string | The id for the line item of a cart. |
An error generated by the Mailchimp API.
Empty Response
DELETE /ecommerce/stores/{store_id}/carts/{cart_id}/lines/{line_id}
/ecommerce/stores/{store_id}/carts/{cart_id}/lines/{line_id}
Get information about a specific cart line item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
| line_id | path | required | string | The id for the line item of a cart. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/carts/{cart_id}/lines/{line_id}
/ecommerce/stores/{store_id}/carts/{cart_id}/lines/{line_id}
Update a specific cart line item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| cart_id | path | required | string | The id for the cart. |
| line_id | path | required | string | The id for the line item of a cart. |
application/json
EcommerceUpdateCartLineItemRequest
| Property | Type | Required |
|---|---|---|
| price | number | optional |
| quantity | integer | optional |
| product_id | string | optional |
| product_variant_id | string | optional |
An error generated by the Mailchimp API.
PATCH /ecommerce/stores/{store_id}/carts/{cart_id}/lines/{line_id}
/ecommerce/stores/{store_id}/customers
Get information about a store’s customers.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| store_id | path | required | string | The store id. |
| email_address | query | optional | string | Restrict the response to customers with the email address. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/customers
/ecommerce/stores/{store_id}/customers
Add a new customer to a store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
application/json
EcommerceAddCustomerToStoreRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| company | string | optional |
| last_name | string | optional |
| first_name | string | optional |
| email_address | string | required |
| opt_in_status | boolean | required |
An error generated by the Mailchimp API.
POST /ecommerce/stores/{store_id}/customers
/ecommerce/stores/{store_id}/customers/{customer_id}
Delete a customer from a store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| customer_id | path | required | string | The id for the customer of a store. |
An error generated by the Mailchimp API.
Empty Response
DELETE /ecommerce/stores/{store_id}/customers/{customer_id}
/ecommerce/stores/{store_id}/customers/{customer_id}
Get information about a specific customer.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| store_id | path | required | string | The store id. |
| customer_id | path | required | string | The id for the customer of a store. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/customers/{customer_id}
/ecommerce/stores/{store_id}/customers/{customer_id}
Update a customer.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| customer_id | path | required | string | The id for the customer of a store. |
application/json
EcommerceUpdateCustomerRequest
| Property | Type | Required |
|---|---|---|
| address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| company | string | optional |
| last_name | string | optional |
| first_name | string | optional |
| opt_in_status | boolean | optional |
An error generated by the Mailchimp API.
PATCH /ecommerce/stores/{store_id}/customers/{customer_id}
/ecommerce/stores/{store_id}/customers/{customer_id}
Add or update a customer.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| customer_id | path | required | string | The id for the customer of a store. |
application/json
EcommerceAddOrUpdateCustomerRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| company | string | optional |
| last_name | string | optional |
| first_name | string | optional |
| email_address | string | required |
| opt_in_status | boolean | required |
An error generated by the Mailchimp API.
PUT /ecommerce/stores/{store_id}/customers/{customer_id}
/ecommerce/stores/{store_id}/orders
Get information about a store’s orders.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| store_id | path | required | string | The store id. |
| customer_id | query | optional | string | Restrict results to orders made by a specific customer. |
| has_outreach | query | optional | boolean | Restrict results to orders that have an outreach attached. For example, an email campaign or Facebook ad. |
| campaign_id | query | optional | string | Restrict results to orders with a specific |
| outreach_id | query | optional | string | Restrict results to orders with a specific |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/orders
/ecommerce/stores/{store_id}/orders
Add a new order to a store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
application/json
EcommerceAddOrderToStoreRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| lines | array | required |
| └ id | string | required |
| └ price | number | required |
| └ discount | number | optional |
| └ quantity | integer | required |
| └ product_id | string | required |
| └ product_variant_id | string | required |
| promos | array | optional |
| └ code | string | required |
| └ type | string | required |
| └ amount_discounted | number | required |
| customer | object | required |
| └ id | string | required |
| └ address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| └ company | string | optional |
| └ last_name | string | optional |
| └ first_name | string | optional |
| └ email_address | string | optional |
| └ opt_in_status | boolean | optional |
| outreach | object | optional |
| └ id | string | optional |
| order_url | string | optional |
| tax_total | number | optional |
| campaign_id | string | optional |
| order_total | number | required |
| landing_site | string | optional |
| tracking_url | string | optional |
| currency_code | string | required |
| tracking_code | string | optional |
| discount_total | number | optional |
| shipping_total | number | optional |
| billing_address | object | optional |
| └ city | string | optional |
| └ name | string | optional |
| └ phone | string | optional |
| └ company | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ latitude | number | optional |
| └ province | string | optional |
| └ longitude | number | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| tracking_number | string | optional |
| financial_status | string | optional |
| shipping_address | object | optional |
| └ city | string | optional |
| └ name | string | optional |
| └ phone | string | optional |
| └ company | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ latitude | number | optional |
| └ province | string | optional |
| └ longitude | number | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| tracking_carrier | string | optional |
| …4 more | object | optional |
An error generated by the Mailchimp API.
POST /ecommerce/stores/{store_id}/orders
/ecommerce/stores/{store_id}/orders/{order_id}
Delete an order.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
An error generated by the Mailchimp API.
Empty Response
DELETE /ecommerce/stores/{store_id}/orders/{order_id}
/ecommerce/stores/{store_id}/orders/{order_id}
Get information about a specific order.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/orders/{order_id}
/ecommerce/stores/{store_id}/orders/{order_id}
Update a specific order.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
application/json
EcommerceUpdateSpecificOrderRequest
| Property | Type | Required |
|---|---|---|
| lines | array | optional |
| └ price | number | optional |
| └ discount | number | optional |
| └ quantity | integer | optional |
| └ product_id | string | optional |
| └ product_variant_id | string | optional |
| promos | array | optional |
| └ code | string | required |
| └ type | string | required |
| └ amount_discounted | number | required |
| customer | object | optional |
| └ address | object | optional |
| └ city | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ province | string | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| └ company | string | optional |
| └ last_name | string | optional |
| └ first_name | string | optional |
| └ opt_in_status | boolean | optional |
| outreach | object | optional |
| └ id | string | optional |
| order_url | string | optional |
| tax_total | number | optional |
| campaign_id | string | optional |
| order_total | number | optional |
| landing_site | string | optional |
| tracking_url | string | optional |
| currency_code | string | optional |
| tracking_code | string | optional |
| discount_total | number | optional |
| shipping_total | number | optional |
| billing_address | object | optional |
| └ city | string | optional |
| └ name | string | optional |
| └ phone | string | optional |
| └ company | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ latitude | number | optional |
| └ province | string | optional |
| └ longitude | number | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| tracking_number | string | optional |
| financial_status | string | optional |
| shipping_address | object | optional |
| └ city | string | optional |
| └ name | string | optional |
| └ phone | string | optional |
| └ company | string | optional |
| └ country | string | optional |
| └ address1 | string | optional |
| └ address2 | string | optional |
| └ latitude | number | optional |
| └ province | string | optional |
| └ longitude | number | optional |
| └ postal_code | string | optional |
| └ country_code | string | optional |
| └ province_code | string | optional |
| tracking_carrier | string | optional |
| fulfillment_status | string | optional |
| …3 more | object | optional |
An error generated by the Mailchimp API.
PATCH /ecommerce/stores/{store_id}/orders/{order_id}
/ecommerce/stores/{store_id}/orders/{order_id}/lines
Get information about an order’s line items.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/orders/{order_id}/lines
/ecommerce/stores/{store_id}/orders/{order_id}/lines
Add a new line item to an existing order.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
application/json
EcommerceAddOrderLineItemRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| price | number | required |
| discount | number | optional |
| quantity | integer | required |
| product_id | string | required |
| product_variant_id | string | required |
An error generated by the Mailchimp API.
POST /ecommerce/stores/{store_id}/orders/{order_id}/lines
/ecommerce/stores/{store_id}/orders/{order_id}/lines/{line_id}
Delete a specific order line item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
| line_id | path | required | string | The id for the line item of an order. |
An error generated by the Mailchimp API.
Empty Response
DELETE /ecommerce/stores/{store_id}/orders/{order_id}/lines/{line_id}
/ecommerce/stores/{store_id}/orders/{order_id}/lines/{line_id}
Get information about a specific order line item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
| line_id | path | required | string | The id for the line item of an order. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/orders/{order_id}/lines/{line_id}
/ecommerce/stores/{store_id}/orders/{order_id}/lines/{line_id}
Update a specific order line item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
| order_id | path | required | string | The id for the order in a store. |
| line_id | path | required | string | The id for the line item of an order. |
application/json
EcommerceUpdateOrderLineRequest
| Property | Type | Required |
|---|---|---|
| price | number | optional |
| discount | number | optional |
| quantity | integer | optional |
| product_id | string | optional |
| product_variant_id | string | optional |
An error generated by the Mailchimp API.
PATCH /ecommerce/stores/{store_id}/orders/{order_id}/lines/{line_id}
/ecommerce/stores/{store_id}/products
Get information about a store’s products.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| fields | query | optional | array | A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. |
| exclude_fields | query | optional | array | A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. |
| count | query | optional | integer | The number of records to return. Default value is 10. Maximum value is 1000 |
| offset | query | optional | integer | Used for pagination, this it the number of records from a collection to skip. Default value is 0. |
| store_id | path | required | string | The store id. |
An error generated by the Mailchimp API.
GET /ecommerce/stores/{store_id}/products
/ecommerce/stores/{store_id}/products
Add a new product to a store.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| store_id | path | required | string | The store id. |
application/json
EcommerceAddProductToStoreRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| url | string | optional |
| type | string | optional |
| title | string | required |
| handle | string | optional |
| images | array | optional |
| └ id | string | required |
| └ url | string | required |
| └ variant_ids | array | optional |
| vendor | string | optional |
| variants | array | required |
| └ id | string | required |
| └ sku | string | optional |
| └ url | string | optional |
| └ price | number | optional |
| └ title | string | required |
| └ image_url | string | optional |
| └ backorders | string | optional |
| └ visibility | string | optional |
| └ inventory_quantity | integer | optional |
| image_url | string | optional |
| description | string | optional |
| published_at_foreign | string | optional |
An error generated by the Mailchimp API.
POST /ecommerce/stores/{store_id}/products